Package net.shibboleth.idp.cli

# Class AbstractIdPHomeAwareCommandLine<T extends AbstractIdPHomeAwareCommandLineArguments>

java.lang.Object
net.shibboleth.shared.cli.AbstractCommandLine<T>
net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLine<T>

Type Parameters:
  `T` - argument object type

Direct Known Subclasses:
  `DataSealerCLI`, `JarCheckCLI`, `ModuleManagerCLI`, `PluginInstallerCLI`, `UpdateIdPCLI`

public abstract class AbstractIdPHomeAwareCommandLine<T extends AbstractIdPHomeAwareCommandLineArguments> extends AbstractCommandLine<T>
An extension to `AbstractCommandLine` that auto-adds our context initializer for idp.home and property support.

Since:
  4.1.0

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.shared.cli.AbstractCommandLine

`AbstractCommandLine.TerminalCodes`

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.apache.hc.client5.http.classic.HttpClient`
`httpClient`
The injected HttpClient.
`private HttpClientSecurityParameters`
`httpClientSecurityParameters`
Injected security parameters.

### Fields inherited from class net.shibboleth.shared.cli.AbstractCommandLine

`ARGS_PROPERTY, RC_INIT, RC_IO, RC_MODULE, RC_OK, RC_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`AbstractIdPHomeAwareCommandLine()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doRun(T args)`
`org.apache.hc.client5.http.classic.HttpClient`
`getHttpClient()`
Gets the `HttpClient` to use.
`HttpClientSecurityParameters`
`getHttpClientSecurityParameters()`
Gets the `HttpClientSecurityParameters` to use.

### Methods inherited from class net.shibboleth.shared.cli.AbstractCommandLine

`getAdditionalSpringResources, getApplicationContext, getArgumentClass, getLogger, getVersion, initLogging, run, setCaseSensitiveOptions, setContextInitializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### httpClient

@Nullable private org.apache.hc.client5.http.classic.HttpClient httpClient
The injected HttpClient.

### httpClientSecurityParameters

@Nullable private HttpClientSecurityParameters httpClientSecurityParameters
Injected security parameters.

## Constructor Details

### AbstractIdPHomeAwareCommandLine

public AbstractIdPHomeAwareCommandLine()

## Method Details

### getHttpClient

@Nullable public org.apache.hc.client5.http.classic.HttpClient getHttpClient()
Gets the `HttpClient` to use.

Returns:
  the HTTP client to use

### getHttpClientSecurityParameters

@Nullable public HttpClientSecurityParameters getHttpClientSecurityParameters()
Gets the `HttpClientSecurityParameters` to use.

Returns:
  the HTTP client security parameters to use

### doRun

protected int doRun(@Nonnull T args)

Overrides:
  `doRun` in class `AbstractCommandLine<T extends AbstractIdPHomeAwareCommandLineArguments>`